POST api/cleanroomapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_type_id": "b2016139-0bea-439d-950e-fe374966ea4d",
"communication_server_id": "d2b150bc-d6a5-43cc-85a8-0ad1782fb5a4",
"id": "c9382c7b-9940-4c74-9e4d-7768810785fc",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
application/xml, text/xml
Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <cleanroom_type_id>b2016139-0bea-439d-950e-fe374966ea4d</cleanroom_type_id> <communication_server_id>d2b150bc-d6a5-43cc-85a8-0ad1782fb5a4</communication_server_id> <id>c9382c7b-9940-4c74-9e4d-7768810785fc</id> <local_id>1</local_id> <local_name>sample string 3</local_name> <name>sample string 4</name> <type_of_temperature>sample string 5</type_of_temperature> </cleanroom>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"309f9da5-a73d-4631-ab97-0e7eca8ba0c2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">309f9da5-a73d-4631-ab97-0e7eca8ba0c2</guid>